package org.eclipse.epsilon.egl.dom.ast2dom;


import java.util.LinkedList;

import org.eclipse.epsilon.commons.parse.AST;
import org.eclipse.epsilon.eol.dom.*;
import org.eclipse.epsilon.eol.dom.ast2dom.Ast2DomContext;
import org.eclipse.epsilon.eol.dom.ast2dom.DomElementCreatorFactory;

public class EGLDomElementCreatorFactory extends DomElementCreatorFactory {
	
	LinkedList<Program> programs;

public DomElement createDomElement(AST ast, DomElement container, Ast2DomContext context) {
		
		//TODO this assumes that the superclass returns 'something' every time and that no RuntimeException is thrown -> bad design
		DomElement e = super.createDomElement(ast, container, context);

		switch (ast.getType()) {
			//do something
		}
		
		if (e == null) {
			throw new RuntimeException("Cannot create dom element for " + ast.getText() + "->" + ast.getType());
		} else {
			e.setContainer(container);
			return e;
		}
	}
}
