package org.eclipse.epsilon.egl.dom.printer;

import java.beans.Statement;

import org.eclipse.epsilon.eol.dom.DomElement;
import org.eclipse.epsilon.eol.dom.VariableDeclarationExpression;
import org.eclipse.epsilon.eol.dom.printer.*;



public class EGLDomElementPrinterFactory extends DomElementPrinterFactory {
	
	protected int indentation = 0;
	
	public String print(DomElement e) {
		
		DomElementPrinter printer = null;
		
		//TODO this assumes that the superclass returns 'something' every time and that no RuntimeException is thrown -> bad design
		String printer_str = super.print(e);


		if (e instanceof VariableDeclarationExpression) printer = new EGLVariableDeclarationExpressionPrinter();


		if (printer != null) printer_str = printer.print(e, this); 

		String str = "";
		
		if (e instanceof Statement) {
			str = whitespace();
		}
		
		return str + printer_str;
	}
	

}
