package org.eclipse.epsilon.egl.dom.printer;

import org.eclipse.epsilon.egl.dom.*;
import org.eclipse.epsilon.eol.dom.Type;
import org.eclipse.epsilon.eol.dom.printer.DomElementPrinter;
import org.eclipse.epsilon.eol.dom.printer.VariableDeclarationExpressionPrinter;


public class EGLVariableDeclarationExpressionPrinter extends VariableDeclarationExpressionPrinter implements DomElementPrinter {

	public String getType(Type exp)
	{
		String result = super.getType(exp);

		if(exp instanceof TemplateType)
		{
			result = "Template";
		}
		
		return result;
		
	}

}
